class Locmare.FilerModule.BodyModule.FileBodyModule.FileItemModule.CaptionItemColumnFactory
  
  @types: () ->
    m = Locmare.FilerModule.BodyModule.FileBodyModule.FileItemModule.CaptionItemColumnModule
    {
      'default': m.Default, 
      'template': m.Template, 
      'none': m.None
    }
  
  @factory: (file_item, my_manifest, item) ->
    m = Locmare.FilerModule.BodyModule.FileBodyModule.FileItemModule.CaptionItemColumnFactory
    type = my_manifest.type
    if not type
      alert_message "undefined type", "local view filers > #{file_item.item_name} > caption > default > face\n"
    my_class = m.types()[type]
    if not my_class
      alert_message "undefined class", "local view filers > #{file_item.item_name} > caption > default > face > #{type}\n"
    new my_class({'file_item': file_item, 'my_manifest': my_manifest, 'item': item})
  
class Locmare.FilerModule.BodyModule.FileBodyModule.FileItemModule.CaptionItemColumnModule

